Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(238)

Side by Side Diff: Makefile.in

Issue 10825123: libmtp: Do not build and install bits we don't need - udev utilities and examples. (Closed) Base URL: svn://chrome-svn/chrome/trunk/deps/third_party/libmtp/
Patch Set: Created 8 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
OLDNEW
1 # Makefile.in generated by automake 1.11.3 from Makefile.am. 1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@ 2 # @configure_input@
3 3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software 5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc. 6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation 7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it, 8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved. 9 # with or without modifications, as long as this notice is preserved.
10 10
(...skipping 73 matching lines...) Expand 10 before | Expand all | Expand 10 after
84 END { for (dir in files) print dir, files[dir] }' 84 END { for (dir in files) print dir, files[dir] }'
85 am__base_list = \ 85 am__base_list = \
86 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \ 86 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
87 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g' 87 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
88 am__uninstall_files_from_dir = { \ 88 am__uninstall_files_from_dir = { \
89 test -z "$$files" \ 89 test -z "$$files" \
90 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \ 90 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
91 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \ 91 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
92 $(am__cd) "$$dir" && rm -f $$files; }; \ 92 $(am__cd) "$$dir" && rm -f $$files; }; \
93 } 93 }
94 am__installdirs = "$(DESTDIR)$(pkgconfigdir)" \ 94 am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
95 » "$(DESTDIR)$(udevrulesdir)" 95 DATA = $(pkgconfig_DATA)
96 DATA = $(noinst_DATA) $(pkgconfig_DATA) $(udevrules_DATA)
97 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ 96 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
98 distclean-recursive maintainer-clean-recursive 97 distclean-recursive maintainer-clean-recursive
99 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \ 98 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
100 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \ 99 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
101 distdir dist dist-all distcheck 100 distdir dist dist-all distcheck
102 ETAGS = etags 101 ETAGS = etags
103 CTAGS = ctags 102 CTAGS = ctags
104 DIST_SUBDIRS = $(SUBDIRS) 103 DIST_SUBDIRS = $(SUBDIRS)
105 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) 104 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
106 distdir = $(PACKAGE)-$(VERSION) 105 distdir = $(PACKAGE)-$(VERSION)
(...skipping 158 matching lines...) Expand 10 before | Expand all | Expand 10 after
265 program_transform_name = @program_transform_name@ 264 program_transform_name = @program_transform_name@
266 psdir = @psdir@ 265 psdir = @psdir@
267 sbindir = @sbindir@ 266 sbindir = @sbindir@
268 sharedstatedir = @sharedstatedir@ 267 sharedstatedir = @sharedstatedir@
269 srcdir = @srcdir@ 268 srcdir = @srcdir@
270 sysconfdir = @sysconfdir@ 269 sysconfdir = @sysconfdir@
271 target_alias = @target_alias@ 270 target_alias = @target_alias@
272 top_build_prefix = @top_build_prefix@ 271 top_build_prefix = @top_build_prefix@
273 top_builddir = @top_builddir@ 272 top_builddir = @top_builddir@
274 top_srcdir = @top_srcdir@ 273 top_srcdir = @top_srcdir@
275 SUBDIRS = src examples util doc 274 SUBDIRS = src util doc
276 ACLOCAL_AMFLAGS = -I m4 275 ACLOCAL_AMFLAGS = -I m4
277 pkgconfigdir = $(libdir)/pkgconfig 276 pkgconfigdir = $(libdir)/pkgconfig
278 pkgconfig_DATA = libmtp.pc 277 pkgconfig_DATA = libmtp.pc
279 EXTRA_DIST = libmtp.pc libmtp.sh COPYING README.windows.txt 278 EXTRA_DIST = libmtp.pc libmtp.sh COPYING README.windows.txt
280
281 # This stuff only makes sense on Linux so only
282 # build and ship it on Linux.
283 @USE_LINUX_TRUE@udevrulesdir = @UDEV@/rules.d
284 @USE_LINUX_TRUE@udevrules_DATA = @UDEV_RULES@
285 @USE_LINUX_TRUE@noinst_DATA = libmtp.usermap libmtp.fdi
286 @USE_LINUX_TRUE@CLEANFILES = libmtp.usermap @UDEV_RULES@ libmtp.fdi
287 all: config.h 279 all: config.h
288 $(MAKE) $(AM_MAKEFLAGS) all-recursive 280 $(MAKE) $(AM_MAKEFLAGS) all-recursive
289 281
290 .SUFFIXES: 282 .SUFFIXES:
291 am--refresh: Makefile 283 am--refresh: Makefile
292 @: 284 @:
293 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) 285 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
294 @for dep in $?; do \ 286 @for dep in $?; do \
295 case '$(am__configure_deps)' in \ 287 case '$(am__configure_deps)' in \
296 *$$dep*) \ 288 *$$dep*) \
(...skipping 66 matching lines...) Expand 10 before | Expand all | Expand 10 after
363 while read files; do \ 355 while read files; do \
364 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \ 356 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
365 $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \ 357 $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
366 done 358 done
367 359
368 uninstall-pkgconfigDATA: 360 uninstall-pkgconfigDATA:
369 @$(NORMAL_UNINSTALL) 361 @$(NORMAL_UNINSTALL)
370 @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \ 362 @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
371 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \ 363 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
372 dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir) 364 dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
373 install-udevrulesDATA: $(udevrules_DATA)
374 @$(NORMAL_INSTALL)
375 test -z "$(udevrulesdir)" || $(MKDIR_P) "$(DESTDIR)$(udevrulesdir)"
376 @list='$(udevrules_DATA)'; test -n "$(udevrulesdir)" || list=; \
377 for p in $$list; do \
378 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
379 echo "$$d$$p"; \
380 done | $(am__base_list) | \
381 while read files; do \
382 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(udevrulesdir)'"; \
383 $(INSTALL_DATA) $$files "$(DESTDIR)$(udevrulesdir)" || exit $$?; \
384 done
385
386 uninstall-udevrulesDATA:
387 @$(NORMAL_UNINSTALL)
388 @list='$(udevrules_DATA)'; test -n "$(udevrulesdir)" || list=; \
389 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
390 dir='$(DESTDIR)$(udevrulesdir)'; $(am__uninstall_files_from_dir)
391 365
392 # This directory's subdirectories are mostly independent; you can cd 366 # This directory's subdirectories are mostly independent; you can cd
393 # into them and run `make' without going through this Makefile. 367 # into them and run `make' without going through this Makefile.
394 # To change the values of `make' variables: instead of editing Makefiles, 368 # To change the values of `make' variables: instead of editing Makefiles,
395 # (1) if the variable is set in `config.status', edit `config.status' 369 # (1) if the variable is set in `config.status', edit `config.status'
396 # (which will cause the Makefiles to be regenerated when you run `make'); 370 # (which will cause the Makefiles to be regenerated when you run `make');
397 # (2) otherwise, pass the desired values on the `make' command line. 371 # (2) otherwise, pass the desired values on the `make' command line.
398 $(RECURSIVE_TARGETS): 372 $(RECURSIVE_TARGETS):
399 @fail= failcom='exit 1'; \ 373 @fail= failcom='exit 1'; \
400 for f in x $$MAKEFLAGS; do \ 374 for f in x $$MAKEFLAGS; do \
(...skipping 311 matching lines...) Expand 10 before | Expand all | Expand 10 after
712 fi 686 fi
713 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ 687 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
714 || { echo "ERROR: files left in build directory after distclean:" ; \ 688 || { echo "ERROR: files left in build directory after distclean:" ; \
715 $(distcleancheck_listfiles) ; \ 689 $(distcleancheck_listfiles) ; \
716 exit 1; } >&2 690 exit 1; } >&2
717 check-am: all-am 691 check-am: all-am
718 check: check-recursive 692 check: check-recursive
719 all-am: Makefile $(DATA) config.h 693 all-am: Makefile $(DATA) config.h
720 installdirs: installdirs-recursive 694 installdirs: installdirs-recursive
721 installdirs-am: 695 installdirs-am:
722 » for dir in "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(udevrulesdir)"; do \ 696 » for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
723 test -z "$$dir" || $(MKDIR_P) "$$dir"; \ 697 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
724 done 698 done
725 install: install-recursive 699 install: install-recursive
726 install-exec: install-exec-recursive 700 install-exec: install-exec-recursive
727 install-data: install-data-recursive 701 install-data: install-data-recursive
728 uninstall: uninstall-recursive 702 uninstall: uninstall-recursive
729 703
730 install-am: all-am 704 install-am: all-am
731 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am 705 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
732 706
733 installcheck: installcheck-recursive 707 installcheck: installcheck-recursive
734 install-strip: 708 install-strip:
735 if test -z '$(STRIP)'; then \ 709 if test -z '$(STRIP)'; then \
736 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ 710 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
737 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ 711 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
738 install; \ 712 install; \
739 else \ 713 else \
740 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ 714 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
741 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ 715 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
742 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ 716 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
743 fi 717 fi
744 mostlyclean-generic: 718 mostlyclean-generic:
745 719
746 clean-generic: 720 clean-generic:
747 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
748 721
749 distclean-generic: 722 distclean-generic:
750 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) 723 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
751 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) 724 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
752 725
753 maintainer-clean-generic: 726 maintainer-clean-generic:
754 @echo "This command is intended for maintainers to use" 727 @echo "This command is intended for maintainers to use"
755 @echo "it deletes files that may require special tools to rebuild." 728 @echo "it deletes files that may require special tools to rebuild."
756 clean: clean-recursive 729 clean: clean-recursive
757 730
(...skipping 10 matching lines...) Expand all
768 dvi-am: 741 dvi-am:
769 742
770 html: html-recursive 743 html: html-recursive
771 744
772 html-am: 745 html-am:
773 746
774 info: info-recursive 747 info: info-recursive
775 748
776 info-am: 749 info-am:
777 750
778 install-data-am: install-pkgconfigDATA install-udevrulesDATA 751 install-data-am: install-pkgconfigDATA
779 752
780 install-dvi: install-dvi-recursive 753 install-dvi: install-dvi-recursive
781 754
782 install-dvi-am: 755 install-dvi-am:
783 756
784 install-exec-am: 757 install-exec-am:
785 758
786 install-html: install-html-recursive 759 install-html: install-html-recursive
787 760
788 install-html-am: 761 install-html-am:
(...skipping 25 matching lines...) Expand all
814 mostlyclean-am: mostlyclean-generic mostlyclean-libtool 787 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
815 788
816 pdf: pdf-recursive 789 pdf: pdf-recursive
817 790
818 pdf-am: 791 pdf-am:
819 792
820 ps: ps-recursive 793 ps: ps-recursive
821 794
822 ps-am: 795 ps-am:
823 796
824 uninstall-am: uninstall-pkgconfigDATA uninstall-udevrulesDATA 797 uninstall-am: uninstall-pkgconfigDATA
825 798
826 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \ 799 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
827 ctags-recursive install-am install-strip tags-recursive 800 ctags-recursive install-am install-strip tags-recursive
828 801
829 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ 802 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
830 all all-am am--refresh check check-am clean clean-generic \ 803 all all-am am--refresh check check-am clean clean-generic \
831 clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \ 804 clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
832 dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \ 805 dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \
833 dist-zip distcheck distclean distclean-generic distclean-hdr \ 806 dist-zip distcheck distclean distclean-generic distclean-hdr \
834 distclean-libtool distclean-tags distcleancheck distdir \ 807 distclean-libtool distclean-tags distcleancheck distdir \
835 distuninstallcheck dvi dvi-am html html-am info info-am \ 808 distuninstallcheck dvi dvi-am html html-am info info-am \
836 install install-am install-data install-data-am install-dvi \ 809 install install-am install-data install-data-am install-dvi \
837 install-dvi-am install-exec install-exec-am install-html \ 810 install-dvi-am install-exec install-exec-am install-html \
838 install-html-am install-info install-info-am install-man \ 811 install-html-am install-info install-info-am install-man \
839 install-pdf install-pdf-am install-pkgconfigDATA install-ps \ 812 install-pdf install-pdf-am install-pkgconfigDATA install-ps \
840 » install-ps-am install-strip install-udevrulesDATA installcheck \ 813 » install-ps-am install-strip installcheck installcheck-am \
841 » installcheck-am installdirs installdirs-am maintainer-clean \ 814 » installdirs installdirs-am maintainer-clean \
842 maintainer-clean-generic mostlyclean mostlyclean-generic \ 815 maintainer-clean-generic mostlyclean mostlyclean-generic \
843 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \ 816 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
844 » uninstall uninstall-am uninstall-pkgconfigDATA \ 817 » uninstall uninstall-am uninstall-pkgconfigDATA
845 » uninstall-udevrulesDATA
846 818
847 819
848 @USE_LINUX_TRUE@libmtp.usermap: util/mtp-hotplug 820 # This stuff only makes sense on Linux so only
849 @USE_LINUX_TRUE@» util/mtp-hotplug > libmtp.usermap 821 # build and ship it on Linux.
850 @USE_LINUX_TRUE@@UDEV_RULES@: util/mtp-hotplug 822 #if USE_LINUX
851 @USE_LINUX_TRUE@» util/mtp-hotplug -u -p"@UDEV@" @UDEV_GROUP@ @UDEV_MODE@ > @UDEV_RULES@ 823 #udevrulesdir=@UDEV@/rules.d
852 @USE_LINUX_TRUE@libmtp.fdi: util/mtp-hotplug 824 #udevrules_DATA=@UDEV_RULES@
853 @USE_LINUX_TRUE@» util/mtp-hotplug -H > libmtp.fdi 825 #noinst_DATA=libmtp.usermap libmtp.fdi
826 #
827 #libmtp.usermap: util/mtp-hotplug
828 #» util/mtp-hotplug > libmtp.usermap
829 #@UDEV_RULES@: util/mtp-hotplug
830 #» util/mtp-hotplug -u -p"@UDEV@" @UDEV_GROUP@ @UDEV_MODE@ > @UDEV_RULES@
831 #libmtp.fdi: util/mtp-hotplug
832 #» util/mtp-hotplug -H > libmtp.fdi
833 #
834 #CLEANFILES = libmtp.usermap @UDEV_RULES@ libmtp.fdi
835 #endif
854 836
855 # Tell versions [3.59,3.63) of GNU make to not export all variables. 837 # Tell versions [3.59,3.63) of GNU make to not export all variables.
856 # Otherwise a system limit (for SysV at least) may be exceeded. 838 # Otherwise a system limit (for SysV at least) may be exceeded.
857 .NOEXPORT: 839 .NOEXPORT:
OLDNEW
« Makefile.am ('K') | « Makefile.am ('k') | patches/09_do_not_build_udev_and_examples.patch » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698